Get the most out of your Centmin Mod LEMP stack
Become a Member

Beta Branch workaround for NGINX_HPACK patch incompatibility with OpenSSL 1.1.1

Discussion in 'Centmin Mod Github Commits' started by eva2000, Aug 16, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    46,664
    10,592
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,439
    Local Time:
    4:10 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    workaround for NGINX_HPACK patch incompatibility with OpenSSL 1.1.1

    Right now seems NGINX_HPACK patch is incompatible with Nginx compiled against OpenSSL 1.1.1 master branch so workaround update is to disable NGINX_HPACK='n' when OpenSSL 1.1.1 is detected during centmin.sh menu option 4 Nginx recompiles OpenSSL - OpenSSL 1.1.1 TLS 1.3 Nearly Here


    Continue reading...

    123.09beta01 branch